blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
abf1fd9d218a50ae89856b5573e5a15b0ed6f46e | 137 | #!/bin/bash
(cd my-element && polymer serve) & \
(cd react-app && yarn start) & \
(cd elm-app && PORT=3001 elm-app start) && fg
|
27d9d8f44ceeaa3ab966e20d23d8cd71c0fe88a1 | 51 | #!/usr/bin/env bash
tail -f /tmp/cprev.stdout.log
|
8ebfc8974bb3b888941bec06e6407386b23c2ed2 | 1,207 | if [ "${INCLUDE_SS_SH+is_defined}" ]; then
return
fi
INCLUDE_SS_SH=true
SCREEN_WIDTH=140 # 320
SCREEN_HEIGHT=e0 # 224
SS_VDP1_COMMAND_SIZE=20 # 32 bytes
SS_VDP1_VRAM_ADDR=05c00000
SS_VDP1_TVMR_ADDR=05d00000
SS_VDP1_FBCR_ADDR=05d00002
SS_VDP1_PTMR_ADDR=05d00004
SS_VDP1_EWDR_ADDR=05d00006
SS_VDP1_EWLR_ADDR=05d00008
SS... |
b994e608894f6617deadf00d5955607091c082a8 | 1,507 | #!/bin/bash
#=================================================
# GENERIC START
#=================================================
# IMPORT GENERIC HELPERS
#=================================================
source _common.sh
source /usr/share/yunohost/helpers
#=================================================
# LOAD ... |
d7da5d09e90a6b7af80e548d1df170006633286a | 519 | #!/bin/sh
#
# ~/.xinitrc
#
# Executed by startx (run your window manager from here)
if [ -d /etc/X11/xinit/xinitrc.d ]; then
for f in /etc/X11/xinit/xinitrc.d/*; do
[ -x "$f" ] && . "$f"
done
unset f
fi
xrdb -load $HOME/.Xresources &
hsetroot -solid '#cccccc' &
compton &
redshift &
udiskie &
xsetroot -cur... |
2c8c63305f07e0e38b56f356053a574f410e2e59 | 661 | #!/bin/bash
calc(){
if [[ "$1" != "sum" && "$1" != "sub" && "$1" != "mul" && "$1" != "div" ]]
then
echo "Error: Wrong action tried"
exit -2
elif ! [[ $2 =~ ^[+-]?[0-9]+$ && $3 =~ ^[+-]?[0-9]+$ ]]
then
echo "Error: You need two integer numbers for program to work"
exit -1
elif [[ $1 == "div" && $3 == "0" ]]
then
echo "E... |
5fd7c92809c3d1201f728d6c90c49a9ea2db6c6a | 65 | #!/bin/bash
rm -vf classEout.*
rm -vf DesignEasy.log
rm -vf Opt*
|
f73a84f5cb98c6971e2aee4144f6bb06414d58b9 | 116 | ATLAS_URI=mongodb+srv://gurudanito001:4251112237@cluster0-cymo6.gcp.mongodb.net/<dbname>?retryWrites=true&w=majority |
85247e1913e3543333997dc4812946c57dc3b63a | 66 | #!/bin/bash
appium --relaxed-security --session-override -p 4723
|
d262d124e2c895c8175b00032b8ae9342e4d9919 | 1,030 | #!/bin/bash
set -eux
CLANG_VERSION=15
IS_SERVER=${IS_SERVER:-no}
sudo add-apt-repository ppa:neovim-ppa/unstable
sudo sh -c "wget -O - https://apt.llvm.org/llvm-snapshot.gpg.key | apt-key add -"
sudo sh -c 'echo "deb http://apt.llvm.org/$(lsb_release -sc)/ llvm-toolchain-$(lsb_release -sc)-15 main" >> /etc/apt/sourc... |
270c6044d43fe877c735ebdecf160cdd0d2d5180 | 167 | #!/bin/bash
export code="`cat $TPSUP/scripts/delpath`"
perl -e "$code" -- -v tpsup "$PATH"
exit 0;
# heredoc cannot take command arg
/usr/bin/perl <<END
$code
END
|
ac67ae316180fd960919c89685a8b2db9bec7043 | 2,129 | #!/bin/bash
LOG="/root/log/SyncGoelandDBPython.log"
echo "*****************************************" >> ${LOG} 2>&1
echo "******** BEGIN sync of goeland data at" `date` >> ${LOG} 2>&1
cd /root/bin/mssql2pgsql
#python3 copy_Mssql_Table_to_Postgresql.py DicoCPRueLS >> ${LOG} 2>&1
python3 copy_Mssql_Table_to_Postgresql.... |
ac7765b57b5050e24e3796fe711e3ab26129bfef | 120 | #!/bin/bash
$HOME/Steam/steamcmd.sh +login anonymous +force_install_dir $HOME/server +app_update 343050 validate +quit
|
e4b203ee76d8d64209cae03b08a8e85f9427de40 | 646 | #!/usr/bin/env bats
@test "sonarqube is installed" {
run which sonarqube
[ "$status" -eq 0 ]
}
@test "sonarqube is working" {
dir=$( mktemp -d )
cd $dir
wget -q https://github.com/SonarSource/sonar-examples/archive/master.zip
unzip -q master.zip
wget -q http://repo1.maven.org/maven2/org/codehaus/sonar/r... |
9d2d3497a2bdef63f4bbaacbf6306b9ef1b0ba9e | 139 | #!/bin/sh
#
# Hard reset current branch from remote
branch=$(git rev-parse --abbrev-ref HEAD)
git pull && git reset --hard origin/$branch
|
6a2b7592a2fb3c21f894f1eb2f1220d9caacbcb0 | 245 | #!/bin/bash
BASE=$(dirname "$BASH_SOURCE")
echo "$BASE"
DIR=`pwd`
BASEDIR="$DIR/$BASE"
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
export PYTHONPATH="$BASEDIR"/tools:"$BASEDIR"/base:"$BASEDIR"/base/layers:"$BASEDIR"/base/nets:$PYTHONPATH |
d3c181f0899c161832398817a36c76986eaabd8a | 79,286 | #!/bin/bash
# author: yin-jianhong@163.com
# test pass on RHEL-7/CentOS-7, RHEL-8/CentOS-8 and Fedora-29/30/31
LANG=C
PATH=~/bin:$PATH
P=$0
[[ $0 = /* ]] && P=${0##*/}
Distro=
Location=
Imageurl=
VM_OS_VARIANT=
OVERWRITE=no
KSPath=
ksauto=
MacvtapMode=bridge
VMName=
InstallType=import
ImagePath=~/myimages
DownloadIm... |
db88eb1499fd0e1b6614e2d3100a52441e882ea7 | 76 | #!/bin/bash
mkdir $1
cd "$1"
echo "Directory created succesfully"
exec bash
|
c48a464af4ef15ecd213c3f09b6e503fce23043a | 413 | # .bashrc
#20140127 ターミナルの環境変数PS1を変更?
#20140309 文字色を黄色に変更
export PS1="\e[0;33m[\u@\h \W]\\$ \e[0m"
#Application alias
alias 0xED='open -a /Applications/0xED.app'
#GNU Emacs for MacOS X
alias emacs="/Applications/Emacs.app/Contents/MacOS/Emacs -nw"
#SSH alias
alias pi='ssh pi@192.168.11.111'
#lsのカラー表示
alias ls="ls -... |
8ac30870785e61ce2b73072987a7bb5d0d00bb74 | 692 | #!/bin/bash -e
################################################################################
# SERF version 1.3.0 INSTALL SCRIPT
# for use on UTK Newton only
#
# Files changed in order to compile:
# None
################################################################################
CURDIR=$PWD
#First build ... |
e52c5c9f1ebdf67ad6e35201e28cc846da9704a2 | 413 | #!/bin/bash
# To prepare environment and launch the app
# For local test only
# Usage: ./run.sh
# prepare python virtual environment
pip install --uprage pip
pip install pipenv
if [ ! -f 'Pipfile.lock' ]; then
pipenv --python 3.7
pipenv shell
pipenv install -r requirements.txt
fi
# run the app
pipenv run ... |
0725efdab82ad3baa2d93dc3112d147b8916ef36 | 258 | #!/bin/bash
now=`cat /sys/class/power_supply/BAT0/status`
current=`cat /sys/class/power_supply/BAT0/charge_now`
full=`cat /sys/class/power_supply/BAT0/charge_full`
out=`echo $current $full | awk '{ printf("%f\n", $1/$2 * 100) }'`
echo "$now "${out%.*}"%"
|
62019170c8a61fb49d5a62d1415edf3df0c640e8 | 986 | #!/bin/bash
set -e
npm prune --production
if [ ! -d ${HOME}/google-cloud-sdk/bin ]; then
rm -rf ${HOME}/google-cloud-sdk;
curl https://sdk.cloud.google.com | bash >/dev/null;
fi
source ${HOME}/google-cloud-sdk/path.bash.inc
gcloud components update kubectl
docker build -t ${DOCKER_IMAGE}:${TRAVIS_BUILD_NUMBER... |
1e57e9b17e44a3e0e5a7a852b18a326fec3141ae | 781 | #!/bin/bash
##############################################################################
# Options:
# -i input file
##############################################################################
exit_abnormal() {
echo "$1" 1>&2
# shellcheck disable=SC2086
exit $2
}
while getopts ":i:" opt; do
case $opt in... |
4c23e9592f8e69228598bbcbb48dd95c40869dc7 | 80,688 | subl
ln -s "/Applications/Sublime.app/Contents/SharedSupport/bin/subl" ~/bin/subl
git
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
subl
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
ln -s "/Applications/Sublime.app/Contents/SharedS... |
9da8544c7a45e34629d3b42bd1d78e3f86748b99 | 64 | #!/usr/bin/env bash
docker run -it kurator/cli-dev-jython:0.3.1
|
476f932245eb4955fea9f23a301f4fca18746c02 | 267 | TIMESCALEDB_NAME=name
TIMESCALEDB_USER=user
TIMESCALEDB_PASSWORD=password
INFLUXDB_TOKEN=token
INFLUXDB_ORG=org_name
INFLUXDB_BUCKET=bucket_name
INFLUXDB_URL=http://localhost:8086
MARIADB_USER=user
MARIADB_PASSWORD=password
MARIADB_HOST=localhost
MARIADB_PORT=3306
|
a9bc20d9be199c319de8f6c5c9aacb8d8dae56f3 | 3,278 | Menu(){
echo ---------------------------------------------------------------------
echo "[1] Do you want to update your system, sir? "
echo "[2] Sir, are you connected? "
echo "[3] Do you want to see your memory usage? "
echo "[4] Reboot, sir? (need root) "
echo "[5] In what version am I? "
echo "[6] Install or r... |
62669e64f70769f7ef426fd78a32840c5c77957d | 862 | #!/bin/bash
# Pon los host a escanear en hosts
#ejemplo: hosts=("192.168.19" "192.168.20")
hosts=("192.168.214")
function ctrl_c(){
echo -e "\n\e[1;31m[!] Saliendo...\n\e[1;37m"
tput cnorm
exit 1
}
trap ctrl_c INT
tput civis
for host in ${hosts[@]};do
echo -e "\n\e[1;32m[+] Enumerando $host.0/24\n"
for i in $... |
21244df9914be76a3f49b1f8afd8bfb1b6d47b9e | 585 | # Contributor: Changaco <me@changaco.net>
pkgname=mbrola-voices-ma1
pkgver=1
pkgrel=1
pkgdesc="A malay female voice for mbrola."
arch=(i686)
url="http://tcts.fpms.ac.be/synthesis/mbrola.html"
groups=(mbrola-voices-ma)
depends=(mbrola)
license=(custom)
source=(http://tcts.fpms.ac.be/synthesis/mbrola/dba/ma1/ma1.zip)
md5... |
ec3e2b2cddad05d8f097ee6b2c4e53a7aad30870 | 1,581 | #!/bin/bash
# explicit declaration that this script needs a $TAG variable passed in e.g TAG=1.2.3 ./script.sh
TAG=$TAG
TAG_SYNTAX='^[0-9]+\.[0-9]+\.[0-9]+(-.+)*$'
# get version found in lerna.json. This is the source of truth
PACKAGE_VERSION=$(cat lerna.json | grep version | head -1 | awk -F: '{ print $2 }' | sed 's/... |
39cc5581deba276a4b3f6a895b9702f681a42d76 | 1,503 | #!/bin/sh
# App crash log file download and unzip script
# Author: Max.Chiu
PARAM_URL=""
if [ ! "$1" == "" ]
then
PARAM_URL="$1"
else
echo "Usage: ./download_crash_log.sh \"http://mobile.asiame.com/other/crash_file_view/usertype/?date1=2019-01-01&date2=2019-02-12&manid=&devicetype=31&deviceid=&versioncode=136&search=... |
ffdc915aa95c2c856621c3d51843c48369a590a3 | 2,494 | # Setup script.
set -eu
# Create symlink if link does not exist.
function create_symlink() {
local readonly src=$1
local readonly dst=$2
if [ -e $2 ]; then
echo "already exist $2"
return 0
fi
echo "symlink $1 to $2"
mkdir -p $(dirname "$dst")
ln -s $src $dst
}
# Add loading file in .bashrc or... |
026ffc3e7cc1390b6d56eb872cd8a8e5430702af | 358 | #!/usr/bin/bash
TIMEFORM=$'wall=%e user=%U system=%S CPU=%P i-switched=%c v-switched=%w'
PROGS=( pi-sched rw multi-sched)
FORKS=( 10 100 1000 )
SCHEDULERS=( SCHED_OTHER SCHED_FIFO SCHED_RR )
for a in ${PROGS[@]}; do
for b in ${SCHEDULERS[@]};do
for c in ${FORKS[@]};do
echo $a $b $c; time ./$a $b $c 1 > ou... |
bc87a778ae13b55769fb2daff97c72328b544484 | 107 | #!/bin/sh
cd /home/pi/discovery
echo "Running identity host..."
python identity_host.py > identity_log &
|
a15cb0ece4e1e0e370eb6fd0ef686dce3d799e84 | 3,139 | # Contributor/Maintainer: ilikenwf/Matt Parnell <parwok@gmail.com>
pkgname=lkeyholetv
pkgver=1.26
pkgrel=1
pkgdesc="Live TV Viewer (Mostly Japanese Streams)...Server only works on windows version"
arch=('i686' 'x86_64')
provides=('keyholetv')
url="http://www.v2p.jp/video/english/"
depends=('alsa-lib' 'gtk2' 'cairo' '... |
65d743d8952c4aaa7873c0da61d6a8fc17a34103 | 204 | #!/bin/bash
rm -r .cache
rm -r ./public
if [ "$1" = "pageContext" ]; then
echo "Benchmarking page context"
USE_CREATE_PAGES=true yarn build
else
echo "Benchmarking page query"
yarn build
fi
|
8baf78197491f899672646936b3b215a3cb0ac66 | 1,647 | #!/bin/bash
#
# Run a bunch of shell-based tests in isolated environments using Docker.
#
set -e
REPOSITORY=/go/src/github.com/primait/biscuit/
if [ "${CONTINUOUS_INTEGRATION}" != "true" ]; then
echo __ Running with credentials from biscuit-testing profile.
AWS_ACCESS_KEY_ID="$(aws configure --profile biscuit-testi... |
204a3e8c4234ba53d0156e22b49a27992e395802 | 1,806 | #!/bin/sh
TOOLS_DIR=$(dirname $0)
if [ $# -lt 5 ]; then
echo "Usage: $0 <postgres-version> <dbname> <docker-image> [<docker-opts>] -- <command>" >&2
exit 1
fi
DOCKER_IMAGE=$3
DB_VERSION=$1
DB_NAME=$2
DB_HOST=test-postgres
DB_PORT=5432
DB_SUBNAME="//$DB_HOST:$DB_PORT/$DB_NAME"
DB_USER=postgres
DB_PASSWORD=... |
16cfdac9a303b37ac2a0915e179916a3c52f107c | 851 | #!/bin/bash
echo "?=>(y|RETURN KEY)"
echo -n "plz version: "
read -r v
echo "new version: ${v}"
echo -n "update files ok?:"
read -r f
if [[ "${f}" -eq 'y' ]]; then
for i in README.md setup.py wbsv/*py; do
sed -i -r "s_[0-9]+\.[0-9]+\.[0-9]+_${v}_g" "${i}"
done
fi
echo -n "rm build dist wbsv.egg-info ok?:"
read -... |
3ea434addffc51f0ad30016d880a72ffe6af3f6a | 1,555 | #! /usr/bin/env bash
# Set variables used by bash scripts
# List of folders setup.sh needs to check and eventually create
folders=( $libraries )
path_sources=${config}/sources
# PRODUCT repos and list of locales
release_l10n=${local_hg}/RELEASE_L10N
beta_l10n=${local_hg}/BETA_L10N
aurora_l10n=${local_hg}/AURORA_L10N... |
ea4d460be6c98d2a20576b39edcc228bdd5daa5a | 550 | #!/bin/bash
exec 2>&1
set -e
set -u
tar -xzf jq/jq-*.tar.gz
( cd jq-*
./configure \
--prefix="$BOSH_INSTALL_TARGET" \
--disable-maintainer-mode
make
make install
)
tar -xzf nodejs/node-v*.tar.gz
( cd node-*
./configure --prefix="$BOSH_INSTALL_TARGET"
make
make install
)
tar -xzf elasticdump... |
e643967973d3e70ac661f4a6452d9bb5268e03da | 928 |
#!/bin/sh
set -e
# first arg is `-f` or `--some-option`
if [ "${1#-}" != "$1" ]; then
set -- docker "$@"
fi
# if our command is a valid Docker subcommand, let's invoke it through Docker instead
# (this allows for "docker run docker ps", etc)
if docker help "$1" > /dev/null 2>&1; then
set -- docker "$@"
fi
# if we... |
adaa736b82c1addd762ff9f51148102f829bbfb0 | 240 | bnc_name="$(basename $(pwd))" ;
lnk_name="$bnc_name.rbc" ;
prf_name="$bnc_name.ibc" ;
obj_name="$bnc_name.o" ;
exe_name="$bnc_name.exe" ;
source_files=("L_canny.c" "main.c" "pgm.c" "textloc.c") ;
CXXFLAGS=" -lm " ;
RUN_OPTIONS=" sg01.imp " |
a3ada09f0bf4f18e98adb796757373f066a5a0da | 570 | # Since the ".env" file is gitignored, you can use the ".env.example" file to
# build a new ".env" file when you clone the repo. Keep this file up-to-date
# when you add new variables to `.env`.
# This file will be committed to version control, so make sure not to have any
# secrets in it. If you are cloning this repo... |
966ce74a5e3c8168d23f256a19d5c5892917352f | 2,621 | #!/bin/bash
make_exp_dir() {
mkdir -p $1/genome-mutated $1/mappings/bowtie $1/mappings/bwa $1/reads $1/results $1/variants
}
create_dir() {
mkdir $1
cd $1
mkdir -p genome-ref/repeats simulated-data/begin-supermax simulated-data/middle-supermax real-data/back-mutate
make_exp_dir simulated-data/begin-supermax... |
bb75cf1850028fd7cc29755b39d03c76f4aef7f3 | 1,412 | #!/bin/sh
# Directory in which librarian-puppet should manage its modules directory
# Windows Virtual Box has 260 character limit on the file path length; we need to run puppet from
# the non-mapped directory, or we'll hit this limit when librarin builds its cache.
PUPPET_SRC='/vagrant/provision/puppet'
PUPPET... |
1f05cb4a46820cd48c507d52f8ca01fb9ab1583f | 626 | #!/bin/sh
# setup env for tests
cd "${SRC_DIR}/tests"
export PATH="${PREFIX}/bin:${PATH}"
export CYCLUS_PATH="${PREFIX}/lib/cyclus"
if [ -z "$CYCLUS_NUC_DATA" ]; then
export CYCLUS_NUC_DATA="${PREFIX}/share/cyclus/cyclus_nuc_data.h5"
fi
UNAME="$(uname)"
if [ "${UNAME}" == "Darwin" ]; then
export DYLD_FALLBACK_LIBR... |
c5dcf6f36e71fbdacefbbedff7d0cc7971b05506 | 181 | #!/bin/sh
scriptdir=$(dirname "$(readlink -f "$0")")
vis_path="$scriptdir/../../vis.py"
exec "$vis_path" "$(basename "$scriptdir")" "$@" \
--path '^sql' --group 'schema$|types'
|
fb0d4bebf8eb870fa50def13f3ce6f5c9c3e58ee | 424 | #!/bin/sh
set -e
cleanup() {
exec 3>&-
rm "$FIFO_UEBERZUG"
}
if [ -n "SSH_CLIENT" ] || [ -n "SSH_TTY" ]; then
lf "$@"
else
[ ! -d "$HOME/.cache/lf" ] && mkdir -p "$HOME/.cache/lf"
export FIFO_UEBERZUG="$HOME/.cache/lf/ueberzug-$$"
mkfifo "$FIFO_UEBERZUG"
ueberzug layer -s <"$FIFO_UEBERZUG... |
3e78ae005b4da3002db4ab4ad7c99ada7cdb22f7 | 1,678 | #!/bin/bash
if [ "$#" != "1" ]; then
echo usage getGenomeBuild.sh BAM
exit
fi
SAMTOOLS=$(which samtools)
if [ $SAMTOOLS == "" ]; then
echo samtools not in current path
exit -1
fi
GENOME_MD5=$($SAMTOOLS view -H $1 | egrep "^@SQ" | cut -f-3 | sort | md5sum - | awk '{print $1}')
case $GENOME_MD5 in
... |
0d24a8473372b0933a770227bf0bdd719847d108 | 304,907 | # This is a shell archive. Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file". Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
# ReadMe
# command-exp.h
# command-int.h
# command.c
# ... |
c663ce30704479e175ce3d3c77d348cf8d3b6825 | 1,436 | #!/bin/sh
# Copyright (c) 2019 Huawei Technologies Co., Ltd.
#
# A-Tune is licensed under the Mulan PSL v2.
# You can use this software according to the terms and conditions of the Mulan PSL v2.
# You may obtain a copy of Mulan PSL v2 at:
# http://license.coscl.org.cn/MulanPSL2
# THIS SOFTWARE IS PROVIDED ON AN "AS... |
b85a2a4b12da45abe9df490898e2be7f2cf57985 | 7,983 | #! /usr/bin/env bash
JSDOC="node_modules/.bin/jsdoc"
TMPL="docs/jsdoc/templates/template"
DST="docs/source"
MD="docs/md"
LIB="docs/lib"
SPECS="docs/specs"
main() {
if [ "$1" == "prepare" ]; then
prepare
elif [ "$1" == "clean" ]; then
clean
elif [[ "$(git rev-parse --show-toplevel 2> /dev/null)" -ef "$P... |
6e4fef00c434750862f8b1e283d28b4fd7b07546 | 25 | ./mvnw spring-boot:run
|
802863a888515cfa1dff6665b54dc4bf79065acc | 885 | #!/bin/bash
set -e
# Setup phase - Set the correct user.email and user.name and activate the ssh agent
eval "$(ssh-agent)" && ssh-add
git config --global user.email "$GIT_MAIL"
git config --global user.name "$GIT_NAME"
# Setup phase - Also remember to set your $WANDB_API_KEY (More info in the readme)
if [[ -z "$WAND... |
0d63c867bb7173b38f7b797bef554e8cf0d08cbf | 218 | # Don't forget to add to .gitignore
# Here for you all as a demo :)
DB_HOST=localhost
DB_USER=all
DB_PASS=all
DB_SCHEMA=catsta_gram
JWT_SECRET=percival-de-rollo
JWT_EXPIRES=30m
AWS_ACCESS_ID=lols
AWS_SECRET_KEY=lols |
ef8ee3d7aee7267837f5a3be666d2a668b8ba2ab | 860 | curdir=$(/bin/pwd)
docker-machine ssh default mkdir -p /tmp/logstash/config
docker-machine scp logstash/config/* default:/tmp/logstash/config/.
docker-machine ssh default sudo mkdir -p ${curdir}/logstash/config
docker-machine ssh default sudo cp /tmp/logstash/config/* ${curdir}/logstash/config/.
docker-machine ssh de... |
f97517803471c841ed8ce6dc25c937fa1745db9f | 104 | #!/bin/bash
MY_PATH=$(readlink -f "$0")
MY_DIR=$(dirname "$MY_PATH")
cd $MY_DIR
gdb --command=./command
|
ba2ef5535bb03e7f1a438caf6933385c614d6980 | 298 | #!/bin/bash
FUNCTION_NAME=rapids-v0-hydrator
TIMEOUT=7
VERSION=2021-09-03T12-20-00
DEV_ENVIRONMENT="{
1MILL_LAMBDA_AWS_ACCESS_KEY_ID=test,
1MILL_LAMBDA_AWS_ENDPOINT=http://localstack:4566/,
1MILL_LAMBDA_AWS_REGION=us-east-1,
1MILL_LAMBDA_AWS_SECRET_ACCESS_KEY=test,
NODE_ENV=development,
}"
|
d5ee7f19e845a302f9b6f1a1320955784e78c139 | 58 | #!/bin/sh -e
dd if=/dev/zero of=/dev/fb0 > /dev/null 2>&1
|
4dee5bc24c845538b3a0e840796c1ccb3637fad0 | 3,446 | #!/bin/bash
export PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
# 检查是否为Root
[ $(id -u) != "0" ] && { echo "Error: You must be root to run this script"; exit 1; }
# 检查系统信息
if [ ! -z "`cat /etc/issue | grep 'Ubuntu 16'`" ];
then
OS='Ubuntu'
else
echo "Not support OS(Ubuntu 1... |
16b49567e2a9f93f5161c7cfaa15f9f8debdefda | 247 | MAIL_HOST = "smtp.gmail.com";
MAIL_USERNAME = "effervescence@iiita.ac.in"
MAIL_PASS = "Needforweed"
MAIL_PORT = 465
DB_PASS = "3ff3motion"
DB_HOST = "localhost"
DB_USER = "effey"
DB_NAME = "effey"
TB_NAME = "tshirt_orders_2019"
DEVELOPMENT = true
|
92685186827aacf8194b2b04344c13e2765d10b2 | 52 | User#profile
Hi, find me in app/views/user/profile
|
f57be149367194168c35f1bfad1c61914c45c9d8 | 766 | #!/bin/bash
C_NONE="\033[0m"
C_CYAN="\033[36m"
C_RED="\033[31m"
C_GREEN="\033[32m"
C_ORANGE="\033[33m"
C_BLUE="\033[34m"
C_PURPLE="\033[35m"
C_CYAN="\033[36m"
C_LIGHT_GRAY="\033[37m"
print_misc() {
echo -e "${C_PURPLE} $1 ${C_NONE}"
}
print_info() {
echo -e "${C_BLUE} $1 ${C_NONE}"
}
print_error() {
echo... |
34caab916ae2518291084e34ec1b4f7c7d3804e2 | 3,588 | #!/bin/bash
# Bash Assignment Monday Morning Class
# Sukhpreet Singh
# Student ID- 200360828
# Declare variables and assign any default values
rundefaultmode="yes"
# command line options to narrow down the Output field
function helpcmds {
echo "
Output can be one or more for the following:
... |
d5dada31f2429c9562f98f4f5d0482de9f42cf8d | 73 | #!/bin/bash
export DOCKER_OPTS=--insecure-registry registry.example.com
|
7df8c652414e724c34821b40308f837b891c315d | 136 | cp /var/www/html/Base.jpeg /var/www/html/Before.jpeg
chmod 777 /var/www/html/Before.jpeg
./ToVideo
#python OrangePi_CognitiveService.py
|
4d10640312a37d9342a0c0257bb164ac0e2b55a6 | 505 | #!/bin/bash
if [ "$1" == "--help" ] || [ "$1" == "-h" ] || [ "$1" == "/?" ] || [ "$1" == "" ] || [ "$2" == "" ]
then
echo usage: cmdinstall [bash_script_file] [desired_command_name]
echo " options:"
echo " -h, --help, /? Show instructions."
else
echo installing $1 as $2.....
if [ $(uname) ... |
70f42e04568eb0f7292c906a8074ee05a816a2fd | 1,177 | #!/bin/bash
#
# Handy script to delete all Valgrind related targets from the build output
# directory. Useful when working on the Android makefiles.
#
obj=$ANDROID_BUILD_TOP/out/target/product/stingray/obj
rm -r $obj/STATIC_LIBRARIES/libvex-arm-linux_intermediates \
$obj/STATIC_LIBRARIES/libcoregrind-arm-linux_inter... |
ba46298da6fcecf9803482bccc794290fb0d4989 | 2,137 | # --------------------- DETAILS --------------------------
# Business Name - Clutch Bar
# Final Demo - 3160
# Prod ID - 8717
# Booking System - OPENTABLE_GUESTCENTER
# Config Type - Flex
# Reminder Texts - Yes
# Welcome Texts - YES
# PUSH CONFIGURATIONS
# from: 3159 (demo)
# to: 3160 (final demo)
# ... |
20122d1ddabb9066d42ee87737c3dc7f1d108c33 | 84 | # Add RBENV support
path=(~/.rbenv/shims ~/.rbenv/bin $path)
eval "$(rbenv init -)"
|
dea03be14f58bb6cdb298bdd89b9c41985db0ecf | 159 | # Database
DB_HOST=db
DB_PORT=5432
DB_USERNAME="produser"
DB_PASSWORD="prodpassword"
DB_DATABASE="prod"
# Redis
REDIS_HOST=redis
REDIS_PORT=6379
CACHE_TTL=600 |
d3bca37309f5bbaf2f73b749a366a8fa5cf97f1d | 512 | #!/usr/bin/env sh
BASEDIR=$(dirname "$0")
cd "$BASEDIR" || exit 1
SERVICE=$1
if [ -z ${SERVICE+x} ]; then
echo "You need to specify a service!"
exit 1
fi
NAME="solarthing-$SERVICE.service"
FILE_PATH="/etc/systemd/system/$NAME"
FILE_HASH=$(md5sum "$FILE_PATH" 2>/dev/null)
if [ -z ${EDITOR+x} ]; then
vi "$FILE_... |
016955c91072b13e070cccfb039c08dece039413 | 267 | #!/bin/sh
# Session
export XDG_SESSION_TYPE=wayland
export XDG_SESSION_DESKTOP=sway
export XDG_CURRENT_DESKTOP=sway
# shellcheck source=system/linux/usr/local/lib/wayland-enablement.sh
. /usr/local/lib/wayland-enablement.sh
systemd-cat --identifier=sway sway "$@"
|
d18ea94010a2bd4474d6a0bb1a83745af8af814e | 382 | #!/bin/bash -
if [ $# -lt 2 ]
then
echo "Usage: `basename $0` src dst [dir]"
exit
fi
if [ $# -eq 3 ]
then
echo "directory is $3"
dir=$3
else
dir="."
fi
#list=`find $dir -name \"*$1*\" -type f`
#list=`ls $dir | grep -e \"$1\"`
ls $dir | grep -e "$1" | while read file
do
newfile=`echo $file | sed s/$1/$2/g`
# e... |
9ba0ba36e763ea7371b295ca21846b69cd573723 | 167 | #!/bin/sh
JTAGTOOL_ADDR=192.168.10.50
BUILD_NAME=yard_ice-0.2
../../../tools/tftp_load.py -q -i -e -a 0x08060000 -h ${JTAGTOOL_ADDR} release/${BUILD_NAME}.rbf
|
8853a769253c2f35a091040bf295e524a16c3681 | 248 | #!/bin/bash
eval `ssh-agent`
echo "MODULES..."
cd /etc/puppet/modules && git pull origin master && git submodule init && git submodule update && git submodule foreach git pull origin master
echo "MANIFESTS..."
cd /etc/puppet/manifests && git pull
|
32400d8e1cca2f8705f07eba88b7c528ce9b7a91 | 73 | #!/bin/bash
commit_message="$1"
git add -A
git commit -am "$1$"
git push
|
583e38dbc22ea0b07117c8843018863effa82f77 | 493 | #!/bin/sh -ue
REDIS_SERVER=${REDIS_SERVER:-redis-server}
REDIS_PORT=${REDIS_PORT:-56379}
tmpdir=$(mktemp -d)
PID_FILE=${tmpdir}/hiredis-test-redis.pid
SOCK_FILE=${tmpdir}/hiredis-test-redis.sock
cleanup() {
set +e
kill $(cat ${PID_FILE})
rm -rf ${tmpdir}
}
trap cleanup INT TERM EXIT
${REDIS_SERVER} - <<EOF
da... |
0bd9d111dd83d35704cb309bc12389d8e21ba7c2 | 3,318 | #!/bin/bash
set -e
if [[ "$#" -lt 1 ]]; then
echo "Usage: $0 DATABASE_NAME" >&2
exit 1
fi
DATABASE_NAME="$1";
HERE="$(dirname $0)";
if [[ -z "$(which psql 2>/dev/null)" ]]; then
echo "You must have a running Postgres server and the client-side 'psql' tool!" >&2
exit 1
fi
if ! psql -d "$1" -c '\q'; then
echo "... |
23eec69014a6187ebc533a353f6bc9e980e0159c | 1,462 | #!/bin/bash
if [[ -n "$BASH" ]]; then
if [[ -z "$SOURCE_TACKLELIB_BASH_TACKLELIB_SH" || SOURCE_TACKLELIB_BASH_TACKLELIB_SH -eq 0 ]]; then
# builtin search
for BASH_SOURCE_DIR in "/usr/local/bin" "/usr/bin" "/bin"; do
[[ -f "$BASH_SOURCE_DIR/bash_tacklelib" ]] && {
source "$BASH_SOURCE_DIR/bash_tacklelib... |
a1615a3361678e7b33def5848767431aaa9cbf51 | 7,955 | #!/bin/sh
# Make a distribution of AcmeApp for Linux and Mac
# (c) Julian Smart
# Usage: maketarball.sh [ options ]
# For example: maketarball.sh --build
PROGNAME=$0
CVSUPDATE=0
COPYTOFTP=0
# Clean objects before build
CLEANOBJECTS=1
DEBUGBUILD=0
RELEASEBUILD=0
NOTAR=0
CLEANWX=0
# Will be computed
... |
185bbcc39098caba5df75c6a94294c7ddc4c1446 | 640 | #!/bin/bash
## EXECUTE
set phase (math "((("(date --date='00:00' +%s)" - 1386030360) % 2551443) / 86400)")
switch $phase
case in 0 1 29
echo " The moon will look like ² today."
case in 2 3 4 5
echo " The moon will look like ³ today."
case in 6 7 8 9
echo " The moon will look like ´ today."
case in 10 11... |
549441aaea7cc9413ac6d10087d6e6f4583e9f75 | 209 | #!/bin/bash
read -p "Introduce un mes: " mes;
resultado= grep $mes usuarios.txt | awk '{ print $2 }';
if [[ $resultado -eq '0' ]];
then
echo $resultado;
else
echo "este mes no se ha logeado nadie";
fi
|
b94931a0c0b90c5fbeaddafb179b2c9ae33c9acb | 103 | #!/bin/env sh
mpv --title=liquidplay --geometry=-20+20 --force-window-position --window-scale=0.5 "$@"
|
ef63b8dad7a8f155de9b02c4debdda0df5e99cd5 | 6,816 | [ -z "$PS1" ] && return
export JAVA_HOME=/usr/lib/jvm/java-6-sun/jre/
export HISTCONTROL=ignoredups
export PATH=~/.vim/bin:$PATH
history -a
shopt -s histappend
alias bhills2="beep -f 659 -l 460 -n -f 784 -l 340 -n -f 659 -l 230 -n -f 659 -l 1 10 -n -f 880 -l 230 -n -f 659 -l 230 -n -f 587 -l 230 -n -f 659 -l 460 -n ... |
6094112c41353f803f6cb390d55e63f9519a0ba5 | 114 | #!/bin/bash
# Convert a video to the open ogg format
ffmpeg -i "$1" -vn -ar 44100 -ac 2 -ab 192k -f ogg "$1".ogg
|
ea1f771bb91be93b6917e319c61b3c4aad4528e2 | 96 | #!/bin/bash
java -cp bin/SemNet.jar:bin/lib/*:scrapers/*:. xsmeral.semnet.manager.JobRunner "$@" |
038cf36d6741fee12708f06449c2d73f896c72f7 | 25 | SPLUNK_HOME="/opt/splunk" |
5a87f644bc4370b8453ea6fdf7ac302292d5e0cb | 352 | #!/bin/bash
if [ "$2" == "show" ]; then
xvnc4viewer -passwd ${HOME}/.vnc/passwd 10.31.254.41:$(awk -F: '$1 ~ /VNCPORT/ {print $2}' "$1")
elif [ "$2" == "web" ]; then
google-chrome http://$(awk -F: '$1 ~ /IP/ {print $2}' "$1")
elif [ "$2" == "restart" ]; then
sleep 2 ; ssh root@lost kvmctl reset $(awk -F: '... |
df5567bb3ca2347fbc820e048f608186b58dc9ff | 259 | #!/bin/bash
cd config; mvn clean package -Dmaven.test.skip=true; cd ..
cd registry; mvn clean package -Dmaven.test.skip=true; cd ..
cd gateway; mvn clean package -Dmaven.test.skip=true; cd ..
cd auth-service; mvn clean package -Dmaven.test.skip=true; cd .. |
ae9378076f779b28ee842dc8c44476e53477304c | 318 | #!/bin/sh
if [ ${1} == 'Heroku' ]; then
curl -X PATCH https://api.heroku.com/apps/${2}/formation -d '{ "updates": [ { "type": "web", "docker_image": "'$(cat imageid.txt)'" } ] }' -H "Content-Type: application/json" -H "Accept: application/vnd.heroku+json; version=3.docker-releases" -H "Authorization: Bearer ${3}"
fi
|
b5c9396eb9142ab0f0bae28bf36904972974633e | 1,038 | #!/usr/bin/env bash
#
set -euo pipefail
lftp ftp-private.ebi.ac.uk
set ftp:ssl-force yes
set ftp:ssl-protect-data no
set ssl:verify-certificate false
login <redacted>
# Password: <redacted>
# Download to local
mirror upload/eqtls
# Remove permuted datasets
rm -f eqtls/*/*/*.permuted.txt.gz
# Split gzip (untested)
... |
2955576b37871f1baf119ac2b02867f7d3fc8b68 | 362 | #!/usr/bin/env bash
set -o errexit
set -o nounset
str_to_chars()
{
for (( i=0; i<${#1}; i++ )); do echo "${1:$i:1}"; done
}
main() {
input="${1:-}"
input="$(tr -dc '[:alpha:]' <<< "${input,,}")"
unique_letters="$(str_to_chars "$input" | sort | uniq | tr -d "\n")"
[ "${#unique_letters}" -eq "${#input}" ] &&... |
53042eaba869ffa4157cac8d9c26c47245547c40 | 499 | #!/bin/bash
dotfiles="$HOME/dotfiles"
rm ~/.config/alacritty/alacritty.yml
if [ $(cat ~/.stjo_theme) = "dark" ]; then
# currently in dark mode
echo "light" > ~/.stjo_theme
cp "$dotfiles/alacritty_light.yml" ~/.config/alacritty/alacritty.yml
else
echo "dark" > ~/.stjo_theme
cp "$dotfiles/alacritty_dark.yml" ~/.c... |
bda66e82769c50a00b67fa95edc2c308f723a85c | 621 | #!/bin/sh
cat working/all.lst | grep "^[A-Z]" \
| comm -23 - working/abbreviations.lst.pre \
| cat - l/proper-names/* \
| src/add-other-spellings \
| src/find-ss working/all.lst \
| sed "s/^\(.*\)'s\$/\1/" \
| src/filter ... |
0852f37b90024c89f2849c4bfc125d835f3dca63 | 1,586 | #!/bin/bash -l
FILE=$PWD/xfer-$1.sh
/bin/cat <<EOM >$FILE
#!/bin/bash -l
#SBATCH -M escori
#SBATCH -q xfer
#SBATCH -t 10:00:00
#SBATCH -J dc1-imsim
#SBATCH -L projecta,SCRATCH
#SBATCH --mem=10GB
cd /global/projecta/projectdirs/lsst/production/DC1/DM
EOM
echo "htar -Hcrc -cvf /home/projects/desc/DC1/DC1-imsim-dither... |
e8eec0bf08abd52f208e81407781f898317f0570 | 235 | #!/bin/bash
# Check if the gamepad module is loaded, if not, load it.
module=xpad
if lsmod | grep -q "^$module "
then echo "Xpad already loaded."
else echo "Controller has been returned to normal function."
sudo modprobe xpad
echo
fi
|
0965765b60d8a494d6910e1b0f346a85ea25c98f | 1,305 | #!/bin/bash
# ____ _ _
# | __ ) __ _| |__ (_)_ __ ___
# | _ \ / _` | '_ \| | '_ ` _ \
# | |_) | (_| | |_) | | | | | | |
# |____/ \__,_|_.__/|_|_| |_| |_|
# need root to run
require_root
# install supervisor
install_supervisor
# Supervisor config
create_folder /var/log/supervisor/
create_folder /... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.